git-annex/ git-annex-assistant

# NAME

git-annex assistant - daemon to add files and automatically sync changes

# SYNOPSIS

git annex assistant

# DESCRIPTION

Watches for changes to files in the current directory and its subdirectories, and automatically syncs them to other remotes. This includes adding new files. New files published to remotes by others are also automatically downloaded.

By default, all new files in the directory will be added to the repository. (Including dotfiles.) To block some files from being added, use `.gitignore` files.

By default, all files that are added are added to the annex, the same as when you run `git annex add`. If you configure annex.largefiles, files that it does not match will instead be added with `git add`.

# OPTIONS

- `--autostart`

  Automatically starts the assistant running in each repository listed in the file `~/.config/git-annex/autostart`

  This is typically started at boot, or when you log in.

- `--startdelay=N`

  Wait N seconds before running the startup scan. This process can be expensive and you may not want to run it immediately upon login.

  When --autostart is used, defaults to --startdelay=5.

- `--foreground`

  Avoid forking to the background.

- `--stop`

  Stop a running daemon in the current repository.

- `--autostop`

  The complement to --autostart; stops all running daemons in the repositories listed in the autostart file.

- Also the git-annex-common-options(1) can be used.

# SEE ALSO

git-annex(1)

git-annex-watch(1)

git-annex-assist(1)

git-annex-schedule(1)

For more details about the git-annex assistant, see https://git-annex.branchable.com/assistant/

# AUTHOR

Joey Hess id@joeyh.name

Warning: Automatically converted into a man page by mdwn2man. Edit with care.

Comments on this page are closed.